aboutsummaryrefslogtreecommitdiffstats
path: root/bs/mkdep.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bs/mkdep.sh')
-rwxr-xr-xbs/mkdep.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/bs/mkdep.sh b/bs/mkdep.sh
new file mode 100755
index 000000000..fb3ce12a7
--- /dev/null
+++ b/bs/mkdep.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+f="$1"
+d="`dirname $1`"
+t=.tmp.$$
+
+# -MM is gcc-specific...
+$CC -MM $CPPFLAGS $CFLAGS "$f" > $t
+
+if test $? -ne 0; then
+ # ok, maybe -M is supported...
+ $CC -M $CPPFLAGS $CFLAGS "$f" > "$t"
+
+ # guess not, fudge the dependencies by using all headers
+ if test $? -ne 0; then
+ echo "$O/$f: $f $O/config.h $HDR_DEP_HACK" | sed -e 's#c:#o:#'
+ exec rm -f $t
+ fi
+fi
+
+sed -e 's#.c$#.o#' -e "1s#^#$O/$d/&#" < $t
+exec rm -f $t